%define 	sysconfdir	/etc
Summary: 	GUI builder for GTK+ and GNOME
Name: 		glade2
Version: 	2.0.1
Release:	1
License: 	GPL
Group: 		Development
Source0: 	glade-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRoot: 	%{_tmppath}/glade-%{ver}-root
URL: 		http://glade.gnome.org/
Docdir: 	/usr/doc
Prefix: 	/usr
BuildRequires:	scrollkeeper intltool-devel libgda-devel
BuildRequires:	libgnomedb gtksourceview libgnomeprint-devel

%description
Glade is a GUI builder for GTK+ and GNOME.

Run "scrollkeeper-update" after installing this rpm.

%prep
%setup -q -n glade-%{version}

# The ALPHA architecture variable that was here should be fed in by the
# RPM-provided %configure macro
%configure --disable-nls
make

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} PACKAGE_PIXMAPS_DIR=%{buildroot}%{_datadir}/pixmaps install
cd %{buildroot}/usr/bin; ln -sf * glade
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/Development/Glade2
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/Development/Glade2
rm -R $RPM_BUILD_ROOT/usr/share/applications

%clean
# ditto here
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
/*
